<?php
/*
Sayfa Adı: Düzen-Standart
@link https://developer.wordpress.org/themes/basics/template-files/#template-partials
@url kanthemes.com
*/
$title = (!empty(ot_get_option('recent_posts_title'))) ? ot_get_option('recent_posts_title') : __( 'Son Yazılar', 'geo' );
$layout = (!empty(ot_get_option( 'blog_layout' ))) ? ot_get_option( 'blog_layout' ) : 'blog-list';
?>
<?php if ( is_active_sidebar( 'homepage_top' ) ) : ?>
<div class="col-md-12">
	<div class="widget-area full-width">
		<?php dynamic_sidebar( 'homepage_top' ); ?>
	</div>
</div>
<?php endif; ?>
<div class="content content--page col-md-8">
	<?php if ( $layout != 'off' ) : ?>
		<div class="content__recent-posts--group">
			<?php echo geoit_block_title($title, 'h3'); ?>
			<?php $counter = 0; $ad = ot_get_option('geo-5-ads'); if ( have_posts() ) : ?>
				<?php 
					if ( $layout == 'blog-list' ) { ?>
					<div class="post-list-group" geoit-data-load-more>
						<?php while ( have_posts() ) : the_post(); $counter++;
							if ($ad != '' && $counter == 2) {
								echo $ad;
							}
							get_template_part('frameworks/template-parts/post/post-list', get_post_format() );
						endwhile; 
						?>
					</div>
					<?php }
					elseif ( $layout == 'blog-timeline' ) {
						?>
						<div class="post-list-group" geoit-data-load-more>
							<?php while ( have_posts() ) : the_post(); $counter++; 
							if ($ad != '' && $counter == 2) {
								echo $ad;
							}
							?>
							<?php get_template_part('frameworks/template-parts/post/post-timeline', get_post_format() ); ?>		
							<?php endwhile; ?>
						</div>
					<?php }
					elseif ( $layout == 'blog-masonry' ) {
						?>
						<div class="masonry" geoit-data-load-more>
							<?php while ( have_posts() ) : the_post(); $counter++; 
							if ($ad != '' && $counter == 2) {
								echo $ad;
							}
							?>
							<?php get_template_part('frameworks/template-parts/post/post', get_post_format() ); ?>		
							<?php endwhile; ?>
						</div>
					<?php }
					elseif ( $layout == 'blog-masonry2' ) { ?>
						<div class="masonry" geoit-data-load-more>
							<?php while ( have_posts() ) : the_post(); $counter++; 
								if ($ad != '' && $counter == 2) {
									echo $ad;
								}
								get_template_part('frameworks/template-parts/post/post-masonry', get_post_format() ); ?>		
							<?php endwhile; ?>
						</div>
					<?php }
					elseif ( $layout == 'blog-big' ) { ?>
						<div class="blog-big-group" geoit-data-load-more>
							<?php while ( have_posts() ) : the_post(); $counter++;
								if ($ad != '' && $counter == 2) {
									echo $ad;
								}
								get_template_part('frameworks/template-parts/post/post-big', get_post_format() ); ?>		
							<?php endwhile; ?>
						</div>
					<?php }
					else { ?>
						<div class="masonry masonry-grid" geoit-data-load-more>
							<?php while ( have_posts() ) : the_post(); $counter++;
							if ($ad != '' && $counter == 2) {
								echo $ad;
							}?>
							<?php get_template_part('frameworks/template-parts/post/post-grid', get_post_format() );?>	
							<?php endwhile; ?>
						</div>
					<?php }
				?>
				<?php geoit_pagination(); ?>
			<?php else : ?>
				<?php get_template_part( 'frameworks/template-parts/post/post', 'none' ); ?>
			<?php endif; ?>
		</div>
	<?php endif; ?>

	<div class="widget-area">
		<?php dynamic_sidebar( 'homepage_content' ); ?>
	</div>

</div>